質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.34%

mysqliのyumアップデートを教えて下さい。。。

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 5,405

kazunii_ac

score 18

前提・実現したいこと

最終的にやりたいこと:phpMyAdminのインストール
直近で困っていること:php-mysqliのアップデート

さくらVPSにphpMyAdminをインストールしたいのだけど、mysqli拡張がなくてダメだと言われる。

phpMyAdmin - エラー
mysqli 拡張がありません。PHP の設定をチェックしてみてください。 See our documentation for more information.

直前に、php5.3からphp7.0にyumでアップデートしている。

mysqliをインストールしようと、見よう見まねで

yum install php-mysqli

と打つと、下記のようなメッセージが出る。

発生している問題・エラーメッセージ

# yum install php-mysqli
Loaded plugins: fastestmirror, security
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: www.ftp.ne.jp
 * epel: ftp.riken.jp
 * extras: www.ftp.ne.jp
 * remi-safe: mirrors.mediatemple.net
 * updates: www.ftp.ne.jp
Resolving Dependencies
--> Running transaction check
---> Package php-mysql.x86_64 0:5.3.3-47.el6 will be installed
--> Processing Dependency: php-common(x86-64) = 5.3.3-47.el6 for package: php-mysql-5.3.3-47.el6.x86_64
--> Finished Dependency Resolution
Error: Package: php-mysql-5.3.3-47.el6.x86_64 (base)
           Requires: php-common(x86-64) = 5.3.3-47.el6
           Installed: php-common-7.0.9-1.el6.remi.x86_64 (@remi-php70)
               php-common(x86-64) = 7.0.9-1.el6.remi
           Available: php-common-5.3.3-47.el6.x86_64 (base)
               php-common(x86-64) = 5.3.3-47.el6
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

試したこと

何か既存のパッケージが邪魔してるのかな?と下記コマンドを打ってみたが、なにも変わらなかった。

# yum clean packages
Loaded plugins: fastestmirror, security
Cleaning repos: base epel extras remi-safe updates
0 package files removed

ご回答よろしくお願いします!

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

+2

yum --enablerepo=remi-php70 install php-mysqli

Installed: php-common-7.0.9-1.el6.remi.x86_64 (@remi-php70)

remi-php70 でインストールした形跡があるので。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

+1

PHPのエクステンションはPHPのバージョンに依存しますので、合ったものを入れる必要があります(何も指定しないと、OS標準のPHP 5.3向けを入れようとして失敗します)。

また、PHP 7.0ではMySQL用にphp-mysqlndというパッケージを入れることになる、とのことです(StackOverflow)。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/08/11 21:49

    php-mysqlndをインストールしようとしてみましたが・・・

    # yum install php-mysqlnd
    Loaded plugins: fastestmirror, security
    Setting up Install Process
    Loading mirror speeds from cached hostfile
    * base: www.ftp.ne.jp
    * epel: ftp.riken.jp
    * extras: www.ftp.ne.jp
    * remi-safe: mirror.innosol.asia
    * updates: www.ftp.ne.jp
    No package php-mysqlnd available.
    Error: Nothing to do

    という感じで、インストール出来ませんでした。

    >また、PHP 7.0ではMySQL用にphp-mysqlndというパッケージを入れることになる、とのことです
    PHP7.0では、mysqliそのものが動かないということでしょうか?

    キャンセル

  • 2016/08/11 21:51 編集

    yum search mysqlからそれっぽいものを探してみてください(さすがにMySQLの使えないPHPは実用性が極端に下がりますので、全く使えない可能性は低いです)。

    キャンセル

  • 2016/08/11 21:58

    あと、remiの「--enablerepo」を忘れているのかもしれません。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.34%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る